{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function dialog_box, entid, repository, set_property, get_property\r\ndeclare function fieldcount, send_event\r\ndeclare subroutine make.list\r\n$insert popup_equates\r\n\r\nSRPIncomingLogKeys = dialog_box( 'SRP_INCOMING_LOG_QUERY', @window, '' )\r\nif SRPIncomingLogKeys then\r\n\tPopId = entid( @appid<1>, 'POPUP', '', 'SRP_INCOMING_LOG_QUERY' )\r\n\tOverRide = ''\r\n\tmake.list( 0, SRPIncomingLogKeys, '', '' )\r\n\tChoosenKeys = repository( \"EXECUTE\", PopId, @window, OverRide ) \r\n\tif ChoosenKeys then\r\n\t    convert @vm to @fm in ChoosenKeys\r\n\t    if fieldcount( ChoosenKeys, @fm ) > 1 then\r\n\t\t    Void = set_property( @window, 'QBFLIST', ChoosenKeys )\r\n            Void = set_property( @window, '@NoRead', 1 )\r\n            .log_no->text = ChoosenKeys<1> \r\n\t        Void = send_event( @window, 'READ' )\r\n\t        Void = set_property( @window, '@NoRead', 0 )\r\n\t    end else\r\n\t        .log_no->text = ChoosenKeys\r\n\t        Void = send_event(  @window:'.LOG_NO', 'LOSTFOCUS', '' )\r\n\t    end\r\n\tend\r\nend\r\nRETURN 0"
        }
    }
}